Pulp - Issue #1322

publish of the repos fails on all plugins
10/19/2015 01:52 PM - ipanova@redhat.com

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: amacdona@redhat.com Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Master Sprint Candidate: No
Platform Release: 2.8.0 Tags: Pulp 2
0OS: Sprint:

Triaged: Yes Quarter:

Description

Currently on master publish on all plugins is failing:

$ pulp-admin rpm repo publish run —--repo-id zoo

This command may be exited via ctrl+c without affecting the request.
Task Failed
type object argument after * must be a sequence, not generator

Oct 19 13:48:45 ina pulp: pulp.plugins.pulp_rpm.plugins.distributors.yum.metadata.metadata:WARNING
Overwriting existing metadata file [/var/cache/pulp/reserved_resource_worker—-1@ina.usersys

.redhat.com/32d3e84d-bba3-4339-b294-3aclf4d4b0lc/repodata/repomd.xml]

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) Exception from server

requesting all content units for repository [zoo]

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) Traceback (most recent
call last):

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) File "/home/ipanova/

pulp_development /pulp/server/pulp/plugins/conduits/mixins.py", line 700, in do_get_repo_unit

s

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) units = associatio

n_query_manager.get_units (repo_id, criteria=criteria, as_generator=True)

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) File "/home/ipanova/

pulp_development/pulp/server/pulp/server/managers/repo/unit_association_query.py", line 131,

in get_units

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) units_generator =

itertools.chain (*units_cursors)

Oct 19 13:48:45 ina pulp: pulp.plugins.conduits.mixins:ERROR: (16246-72768) TypeError: type object
argument after * must be a sequence, not generator

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:ERROR: (16246-72768) Exception caught
from plugin during publish for repo [zoo]

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:ERROR: (16246-72768) Traceback (most

recent call last):

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:ERROR: (16246-72768) File "/home/ip

anova/pulp_development/pulp/server/pulp/server/controllers/repository.py", line 779, in _do_

publish

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:ERROR: (16246-72768) publish_repo

rt = publish_repo (transfer_repo, conduit, call_config)

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:ERROR: (16246-72768) File "/home/ip

anova/pulp_development/pulp/server/pulp/server/async/tasks.py", line 585, in wrap_f
Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

gs, **kwargs)

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

ERROR: (16246-72768)

ERROR: (16246-72768)

return f (*ar

File "/home/ip

anova/pulp_development /pulp_rpm/plugins/pulp_rpm/plugins/distributors/yum/distributor.py", 1

ine 171, in publish_repo

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

_publisher.publish ()

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/util/publish_step.py",
Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

process_lifecycle()

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/util/publish_step.py",

lifecycle

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

Step, self) .process_lifecycle()

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/util/publish_step.py",

lifecycle

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

0

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/util/publish_
Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

s_block ()

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/util/publish_

_block

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

_generator = self.get_unit_generator()

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/util/publish_

ator

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

get_conduit () .get_units(criteria, as_generator=True)

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/conduits/mixins.py",
Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

t_repo_units(self.repo_id, criteria, self.exception_class,

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/plugins/conduits/mixins.py",

S

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

ciation_query_manager.get_units (repo_id, criteria=criteria,

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:
anova/pulp_development/pulp/server/pulp/server/managers/repo/unit_association_query.py",

in get_units

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:

tor = itertools.chain(*units_cursors)

ERROR: (16246-72768)

ERROR: (16246-72768)
line 587,
(16246-72768)

in
ERROR:
ERROR: (16246-72768)
line 532, in

ERROR: (16246-72768)

ERROR: (16246-72768)
line 134, in

ERROR: (16246-72768)

ERROR: (16246-72768)
step.py", line 216,
ERROR: (16246-72768)

in

ERROR: (16246-72768)

step.py", line 697, in

ERROR: (16246-72768)

ERROR:
step.py",

(16246-72768)
line 662, in

ERROR: (16246-72768)

ERROR: (16246-72768)
line 173,

ERROR: (16246-72768)

as_generator)

ERROR: (16246-72768)

line 700,

ERROR: (16246-72768)

as_generator=True)

ERROR: (16246-72768)

ERROR: (16246-72768)

return self.
File "/home/ip
publish

return self.

File "/home/ip
process_

super (Plugin

File "/home/ip
process_

step.process
File "/home/ip
process

self._proces

File "/home/ip
_process

package_unit

File "/home/ip
get_unit_gener

return self.

File "/home/ip

in get_units

return do_ge

File "/home/ip

in do_get_repo_unit

units = asso

File "/home/ip
line 131,

units_genera

Oct 19 13:48:45 ina pulp: pulp.server.controllers.repository:ERROR: (16246-72768) DistributorCondu

itException: type object argument after * must be a sequence, not generator
Oct 19 13:48:45 ina pulp: pulp.server.async.tasks:INFO: Task failed [32d3e84d-bba3-4339-b294-3ac
1f4d4b01c]

$ pulp-admin puppet repo publish run --repo-id pup

This command may be exited via ctrl+c without affecting the request.
Task Failed

The distributor puppet_distributor indicated a failed response when publishing
repository pup.
Associated revisions

Revision 865465cc - 10/22/2015 09:03 PM - Austin Macdonald

fix a merge forward issue that broke unit association

closes #1322

Revision 865465cc - 10/22/2015 09:03 PM - Austin Macdonald

fix a merge forward issue that broke unit association

closes #1322

History

#1 - 10/19/2015 01:53 PM - ipanova@redhat.com

- Version set to Master

#2 - 10/22/2015 09:26 PM - Anonymous
- Status changed from NEW to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulp|865465cc1358b1c6eb92d7f33f72a9afce932fcd.

#3 - 10/22/2015 09:30 PM - amacdona@redhat.com
- Assignee set to amacdona@redhat.com
- Platform Release set to 2.8.0

- Triaged changed from No to Yes

#4 - 02/23/2016 09:56 PM - dkliban@redhat.com
- Status changed from MODIFIED to 5

#5 - 03/23/2016 07:13 PM - dkliban@redhat.com
- Status changed from 5 to CLOSED - CURRENTRELEASE

#6 - 04/15/2019 10:42 PM - bmbouter
- Tags Pulp 2 added
